#ifndef ENTITY_CLASS
#define ENTITY_CLASS

#include <LEDA/basic.h>

enum Constraint_type {LE, LT, EQ, GT, GE};

class Entity{
 private:
  IDLabel id;
  double quantity;
  Formula *formula;
  /* Q? Create Constraint list (of Entities), construct, destruct, 
   set a constraint, delete constraint, ...*/

 public:
  Entity(IDLabel id);
  ~Entity();

  double value();
  inline void set(const &double v) {quantity = v;};
  void set(Formula *formula);
  inline int valid() {return(1);}; /* change after constraints added Q? */
}

#endif
